Index: branches/v5/platforms/tsarv5_generic_mmu/tsarv5_cluster_mmu/caba/source/src/tsarv5_cluster_mmu.cpp
===================================================================
--- branches/v5/platforms/tsarv5_generic_mmu/tsarv5_cluster_mmu/caba/source/src/tsarv5_cluster_mmu.cpp	(revision 345)
+++ branches/v5/platforms/tsarv5_generic_mmu/tsarv5_cluster_mmu/caba/source/src/tsarv5_cluster_mmu.cpp	(revision 351)
@@ -126,5 +126,6 @@
         swip << "wi_proc_" << x_id << "_" << y_id;
         wi_proc[p] = new VciDspinInitiatorWrapper<vci_param,cmd_width,rsp_width>(
-                     swip.str().c_str() );
+                     swip.str().c_str(),
+                     x_width + y_width );
     }
 
@@ -152,5 +153,6 @@
     swtm << "wt_memc_" << x_id << "_" << y_id;
     wt_memc = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>(
-                     swtm.str().c_str() );
+                     swtm.str().c_str(),
+                     x_width + y_width );
 
     /////////////////////////////////////////////////////////////////////////////
@@ -169,5 +171,6 @@
     swtx << "wt_xram_" << x_id << "_" << y_id;
     wt_xram = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>(
-                     swtx.str().c_str() );
+                     swtx.str().c_str(),
+                     x_width + y_width );
 
     /////////////////////////////////////////////////////////////////////////////
@@ -188,5 +191,6 @@
     swtu << "wt_xicu_" << x_id << "_" << y_id;
     wt_xicu = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>(
-                     swtu.str().c_str() );
+                     swtu.str().c_str(),
+                     x_width + y_width );
 
     /////////////////////////////////////////////////////////////////////////////
@@ -206,10 +210,12 @@
     swta << "wt_mdma_" << x_id << "_" << y_id;
     wt_mdma = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>(
-                     swtu.str().c_str() );
+                     swtu.str().c_str(),
+                     x_width + y_width );
 
     std::ostringstream swia;
     swia << "wi_mdma_" << x_id << "_" << y_id;
     wi_mdma = new VciDspinInitiatorWrapper<vci_param,cmd_width,rsp_width>(
-                     swtu.str().c_str() );
+                     swtu.str().c_str(),
+                     x_width + y_width );
 
     /////////////////////////////////////////////////////////////////////////////
@@ -319,5 +325,6 @@
                         loader);
 
-        wt_brom = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>("wt_brom");
+        wt_brom = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>("wt_brom",
+                     x_width + y_width );
 
         /////////////////////////////////////////////
@@ -330,5 +337,6 @@
                         xfb, yfb); 
 
-        wt_fbuf = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>("wt_fbuf");
+        wt_fbuf = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>("wt_fbuf",
+                     x_width + y_width );
 
         /////////////////////////////////////////////
@@ -344,6 +352,8 @@
                         64);            // burst size
 
-        wt_bdev = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>("wt_bdev");
-        wi_bdev = new VciDspinInitiatorWrapper<vci_param,cmd_width,rsp_width>("wi_bdev");
+        wt_bdev = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>("wt_bdev",
+                     x_width + y_width );
+        wi_bdev = new VciDspinInitiatorWrapper<vci_param,cmd_width,rsp_width>("wi_bdev",
+                     x_width + y_width );
 
         /////////////////////////////////////////////
@@ -360,5 +370,6 @@
                         0 );           // mac_2 address
 
-        wt_mnic = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>("wt_mnic");
+        wt_mnic = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>("wt_mnic",
+                     x_width + y_width );
 
         /////////////////////////////////////////////
@@ -378,5 +389,6 @@
                         vect_names);
 
-        wt_mtty = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>("wt_mtty");
+        wt_mtty = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>("wt_mtty",
+                     x_width + y_width );
 
     }
